"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sizeAttributes = {
    alert: {
        small: {
            fontSize: '.875rem',
            iconSize: '.875rem',
            padding: {
                x: '1.25rem',
                y: '.375rem',
            },
        },
        medium: {
            fontSize: '1rem',
            iconSize: '1rem',
            padding: {
                x: '1.25rem',
                y: '.75rem',
            },
        },
        large: {
            fontSize: '1rem',
            iconSize: '1rem',
            padding: {
                x: '1.25rem',
                y: '1rem',
            },
        },
    },
    badge: {
        small: {
            fixedSize: '18px',
            fontSize: '.75rem',
            iconSize: '.75rem',
            margin: {
                x: '.3125rem',
                y: '.3125rem',
            },
            padding: {
                x: '.1875rem',
                y: '.09375rem',
            },
        },
        medium: {
            fixedSize: '20px',
            fontSize: '.75rem',
            iconSize: '.75rem',
            margin: {
                x: '.3125rem',
                y: '.3125rem',
            },
            padding: {
                x: '.375rem',
                y: '.1875rem',
            },
        },
        large: {
            fixedSize: '22px',
            fontSize: '.875rem',
            iconSize: '.875rem',
            margin: {
                x: '.3125rem',
                y: '.3125rem',
            },
            padding: {
                x: '.65rem',
                y: '.3rem',
            },
        },
    },
    checkbox: {
        small: '12px',
        medium: '16px',
        large: '20px',
    },
    dropdown: {
        small: {
            fontSize: '.875rem',
            margin: {
                x: '.28rem',
                y: '.06rem',
            },
            padding: {
                x: '.15625rem',
                y: '.15625rem',
            },
        },
        medium: {
            fontSize: '.875rem',
            margin: {
                x: '.45rem',
                y: '.125rem',
            },
            padding: {
                x: '.3125rem',
                y: '.3125rem',
            },
        },
        large: {
            fontSize: '1rem',
            margin: {
                x: '.5rem',
                y: '.175rem',
            },
            padding: {
                x: '.625rem',
                y: '.625rem',
            },
        },
    },
    form: {
        blockLabel: {
            small: {
                fontSize: '.875rem',
                margin: '.5rem',
            },
            medium: {
                fontSize: '1rem',
                margin: '.5rem',
            },
            large: {
                fontSize: '1rem',
                margin: '.5rem',
            },
        },
        inlineLabel: {
            small: {
                fontSize: '.875rem',
                margin: {
                    x: '.5rem',
                    y: '1rem',
                },
            },
            medium: {
                fontSize: '1rem',
                margin: {
                    x: '.5rem',
                    y: '1rem',
                },
            },
            large: {
                fontSize: '1rem',
                margin: {
                    x: '.5rem',
                    y: '1rem',
                },
            },
        },
    },
    icon: {
        small: '.85rem',
        medium: '1rem',
        large: '1.15rem',
    },
    input: {
        small: {
            fontSize: '.875rem',
            padding: {
                x: '.8rem',
                y: '.28rem',
            },
        },
        medium: {
            fontSize: '1rem',
            padding: {
                x: '.9rem',
                y: '.45rem',
            },
        },
        large: {
            fontSize: '1rem',
            padding: {
                x: '1rem',
                y: '.5rem',
            },
        },
    },
    loading: {
        small: '10px',
        medium: '20px',
        large: '30px',
    },
    popover: {
        small: {
            fontSize: '.875rem',
            headerFontSize: '1rem',
            headerPadding: {
                x: '.5rem',
                y: '.4rem',
            },
            padding: {
                x: '.5rem',
                y: '.25rem',
            },
        },
        medium: {
            fontSize: '.875rem',
            headerFontSize: '1rem',
            headerPadding: {
                x: '.75rem',
                y: '.5rem',
            },
            padding: {
                x: '.8rem',
                y: '.7rem',
            },
        },
        large: {
            fontSize: '1rem',
            headerFontSize: '1.15rem',
            headerPadding: {
                x: '1.1rem',
                y: '1rem',
            },
            padding: {
                x: '1rem',
                y: '.75rem',
            },
        },
    },
    radio: {
        small: '12px',
        medium: '16px',
        large: '20px',
    },
    switch: {
        small: {
            height: '12px',
            slider: '10px',
            width: '22px',
        },
        medium: {
            height: '16px',
            slider: '14px',
            width: '28px',
        },
        large: {
            height: '20px',
            slider: '18px',
            width: '34px',
        },
    },
    tooltip: {
        small: {
            fontSize: '.75rem',
            padding: {
                x: '.4rem',
                y: '.15rem',
            },
        },
        medium: {
            fontSize: '.875rem',
            padding: {
                x: '.6rem',
                y: '.3rem',
            },
        },
        large: {
            fontSize: '1rem',
            padding: {
                x: '.8rem',
                y: '.45rem',
            },
        },
    },
};
exports.default = sizeAttributes;
